RDKit: RDKit::StereoGroup Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
RDKit::StereoGroup Class Reference

`#include <StereoGroup.h>`

## Public Member Functions
| StereoGroup ()
| StereoGroup (StereoGroupType grouptype, std::vector< Atom * > &&atoms, std::vector< Bond * > &&bonds, unsigned readId=0)
| StereoGroup (StereoGroupType grouptype, const std::vector< Atom * > &atoms, const std::vector< Bond * > &bonds, unsigned readId=0)
| StereoGroup (const StereoGroup &other)=default
StereoGroup & | operator= (const StereoGroup &other)=default
| StereoGroup (StereoGroup &&other)=default
StereoGroup & | operator= (StereoGroup &&other)=default
StereoGroupType | getGroupType () const
const std::vector< Atom * > & | getAtoms () const
const std::vector< Bond * > & | getBonds () const
unsigned | getReadId () const
unsigned | getWriteId () const
void | setWriteId (unsigned id)
bool | operator== (const StereoGroup &other) const
bool | operator!= (const StereoGroup &other) const

## Friends
RDKIT_GRAPHMOL_EXPORT void | removeAtomFromGroups (const Atom *atom, std::vector< StereoGroup > &groups)
RDKIT_GRAPHMOL_EXPORT void | removeBondFromGroups (const Bond *bond, std::vector< StereoGroup > &groups)

## Detailed Description

StereoGroup is a collection of atoms with a known stereochemical relationship

Used to help represent a sample with unknown stereochemistry, or that is a mix of diastereomers.

Definition at line 43 of file StereoGroup.h.

## Constructor & Destructor Documentation

## ◆ StereoGroup() [1/5]

RDKit::StereoGroup::StereoGroup | ( |  | ) |
| inline

Definition at line 55 of file StereoGroup.h.

Referenced by operator!=(), operator=(), operator=(), operator==(), StereoGroup(), and StereoGroup().

## ◆ StereoGroup() [2/5]

RDKit::StereoGroup::StereoGroup | ( | StereoGroupType | grouptype,
|  | std::vector< Atom * > && | atoms,
|  | std::vector< Bond * > && | bonds,
|  | unsigned | readId = 0 )

## ◆ StereoGroup() [3/5]

RDKit::StereoGroup::StereoGroup | ( | StereoGroupType | grouptype,
|  | const std::vector< Atom * > & | atoms,
|  | const std::vector< Bond * > & | bonds,
|  | unsigned | readId = 0 )

## ◆ StereoGroup() [4/5]

RDKit::StereoGroup::StereoGroup | ( | const StereoGroup & | other | ) |
| default

References StereoGroup().

## ◆ StereoGroup() [5/5]

RDKit::StereoGroup::StereoGroup | ( | StereoGroup && | other | ) |
| default

References StereoGroup().

## Member Function Documentation

## ◆ getAtoms()

const std::vector< Atom * > & RDKit::StereoGroup::getAtoms | ( |  | ) | const

## ◆ getBonds()

const std::vector< Bond * > & RDKit::StereoGroup::getBonds | ( |  | ) | const

## ◆ getGroupType()

StereoGroupType RDKit::StereoGroup::getGroupType | ( |  | ) | const

## ◆ getReadId()

unsigned RDKit::StereoGroup::getReadId | ( |  | ) | const
| inline

Definition at line 71 of file StereoGroup.h.

## ◆ getWriteId()

unsigned RDKit::StereoGroup::getWriteId | ( |  | ) | const
| inline

Definition at line 72 of file StereoGroup.h.

## ◆ operator!=()

bool RDKit::StereoGroup::operator!= | ( | const StereoGroup & | other | ) | const
| inline

Definition at line 81 of file StereoGroup.h.

References StereoGroup().

## ◆ operator=() [1/2]

StereoGroup & RDKit::StereoGroup::operator= | ( | const StereoGroup & | other | ) |
| default

References StereoGroup().

## ◆ operator=() [2/2]

StereoGroup & RDKit::StereoGroup::operator= | ( | StereoGroup && | other | ) |
| default

References StereoGroup().

## ◆ operator==()

bool RDKit::StereoGroup::operator== | ( | const StereoGroup & | other | ) | const
| inline

Definition at line 77 of file StereoGroup.h.

References StereoGroup().

## ◆ setWriteId()

void RDKit::StereoGroup::setWriteId | ( | unsigned | id | ) |
| inline

Definition at line 73 of file StereoGroup.h.

## Friends And Related Symbol Documentation

## ◆ removeAtomFromGroups

RDKIT_GRAPHMOL_EXPORT void removeAtomFromGroups | ( | const Atom * | atom,
|  | std::vector< StereoGroup > & | groups )
| friend

References RDKIT_GRAPHMOL_EXPORT.

## ◆ removeBondFromGroups

RDKIT_GRAPHMOL_EXPORT void removeBondFromGroups | ( | const Bond * | bond,
|  | std::vector< StereoGroup > & | groups )
| friend

References RDKIT_GRAPHMOL_EXPORT.

The documentation for this class was generated from the following file:

- StereoGroup.h